List reviewed merge requests: find a PR's review, or what merged.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"title": "<string>",
"url": "<string>",
"repository_name": "<string>",
"project": "<string>",
"provider": "gitlab",
"state": "open",
"status": "queued",
"verdict": "in_review",
"source_branch": "<string>",
"target_branch": "<string>",
"author": "<string>",
"author_name": "<string>",
"conflicts": true,
"pipeline_failed": true,
"files_changed": 123,
"lines_added": 123,
"lines_deleted": 123,
"findings_count": 123,
"unresolved_findings_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"merged_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}review
List reviewed merge requests
Find one review with provider + project + number. List merged changes with state=merged and merged.
GET
/
v1
/
workspaces
/
{workspace_id}
/
review
/
reviews
List reviewed merge requests: find a PR's review, or what merged.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/review/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"title": "<string>",
"url": "<string>",
"repository_name": "<string>",
"project": "<string>",
"provider": "gitlab",
"state": "open",
"status": "queued",
"verdict": "in_review",
"source_branch": "<string>",
"target_branch": "<string>",
"author": "<string>",
"author_name": "<string>",
"conflicts": true,
"pipeline_failed": true,
"files_changed": 123,
"lines_added": 123,
"lines_deleted": 123,
"findings_count": 123,
"unresolved_findings_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"merged_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}Scope:
review:reviews:read. See API Tokens.Authorizations
Query Parameters
Was this page helpful?